#define IR_PP  PIND.2           // der Infrarotempfaenger ist am Port D, Bit 2 angeschlossen
                                // irfrared receiver on PORT D.2
#define LOW(int)              (unsigned char)(*((char*)&(int)+0)) // returns lowbyte
#define HIGH(int)             (unsigned char)(*((char*)&(int)+1)) // return highbyte


extern char           New_IR_Code; // Globale Variable. Dieses Bit wird nach Empfang eines Zeichens gesetzt
                                    // a new IR command was received  
extern unsigned int  IR_Code;    // Globale Variable. Enthaelt das empfangene Zeichen
                                   // holds the received IR command

void InitIR(void);
interrupt [EXT_INT0] void ext_int0_isr(void);
interrupt [TIM0_OVF] void timer0_ovf_isr(void);

// ----- System-Adress (RC5) ------
#define TV           0
#define TV2          1
#define VCR          5
#define VCR2         6
#define SAT          8

//-------  allowed system adresses ----------------
// only commands from one of the following adresses
// will be received
#define ALLOWED1     TV
#define ALLOWED2     SAT
#define ALLOWED3     VCR
#define ALLOWED4     VCR
#define ALLOWED5     VCR

// ----- Commands      (RC5) ------
#define VOL_UP       16 
#define VOL_DOWN     17 
#define BRIGHT_UP    18
#define BRIGHT_DOWN  19
#define COLOR_UP     20
#define COLOR_DOWN   21
#define BASS_UP      22
#define BASS_DOWN    23
#define TREBLE_UP    24
#define TREBLE_DOWN  25
#define SYSTEM_SEL   63
#define POWER        12
#define MUTE         13 
#define CHANNEL_UP   32
#define CHANNEL_DOWN 33
#define VIDEOTEXT    60
#define PLAY         53
#define STOP         54
#define RECORD       55
#define REWIND       50
#define WIND         52
#define PAUSE        48
#define EXT1         56