/*********************************************
Chip type           : AT90S4434 or AT90S8535
Clock frequency     : 8,000000 MHz
Memory model        : Tiny
Internal SRAM size  : 256
External SRAM size  : 0
Data Stack size     : 64
*********************************************/

#include <90s4434.h> 
#include <stdio.h>
#include "IR.h"

// Alphanumeric LCD Module functions
#asm
   .equ __lcd_port=0x15
#endasm
#include <lcd.h>

// Declare your global variables here    

void main(void)
{
// Declare your local variables here

// Input/Output Ports initialization
// Port A
PORTA=0x00;
DDRA=0x00;

// Port B
PORTB=0x00;
DDRB=0x08;
PORTB=0x00;
// Port C
PORTC=0x00;
DDRC=0x00;

// Port D
DDRD=0x20;
PORTD=0x20;

// Timer/Counter 0 initialization
// Clock source: System Clock
// Clock value: 62,500 kHz
// Mode: Output Compare
// OC0 output: Disconnected
TCCR0=0x04;
TCNT0=-41;

// Timer/Counter 1 initialization
// Clock source: System Clock
// Clock value: 62,500 kHz
// Mode: Output Compare
// OC1 output: Discon.
// Noise Canceler: Off
// Input Capture on Falling Edge
TCCR1A=0x00;
TCCR1B=0x00;
TCNT1H=0x00;
TCNT1L=0x00;
OCR1AH=0x00;
OCR1AL=0x00;
OCR1BH=0x00;
OCR1BL=0x00;

// External Interrupt(s) initialization
// INT0: On
// INT0 Mode: Falling Edge
// INT1: Off
/* General Interrupt MaSK register */
GIMSK=0x40;
MCUCR=0x02;
GIFR=0x40;

// Timer(s)/Counter(s) Interrupt(s) initialization
TIMSK=0x00;  // Timer wird durch ext.Int0 gestartet

// UART initialization
// Communication Parameters: 8 Data, 1 Stop, No Parity
// UART Receiver: On
// UART Transmitter: On
UCR=0x18;
// UART Baud rate: 19200
UBRR=0x0C;

// Analog Comparator initialization
// Analog Comparator: Off
// Analog Comparator Input Capture by Timer/Counter 1: Off
ACSR=0x80;

// LCD module initialization
lcd_init(16);

InitIR();

while (1)
      {
       unsigned char text[16];

        if(New_IR_Code)  
        {
         sprintf(text, "IR  %02u %03u", HIGH(IR_Code), LOW(IR_Code));
         lcd_gotoxy(0,0);
         lcd_puts(text);
         New_IR_Code = 0;  // Flag zurcksetzen
         if(LOW(IR_Code)==POWER) PORTB.4=!PORTB.4;
        }
      };
}
